import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { LanguageDefine } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface LanguageDefineCU extends ConditionUtil<LanguageDefineCU> {
    LANGUAGE_CODE: FieldUtil<LanguageDefineCU>;
    LANGUAGE_NAME: FieldUtil<LanguageDefineCU>;
}
declare class LanguageDefineMU extends TableUtilImpl<LanguageDefineCU, LanguageDefine> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): LanguageDefineCU;
    static get LANGUAGE_CODE(): FieldUtil<LanguageDefineCU>;
    static get LANGUAGE_NAME(): FieldUtil<LanguageDefineCU>;
    get LANGUAGE_CODE(): FieldUtil<LanguageDefineCU>;
    get LANGUAGE_NAME(): FieldUtil<LanguageDefineCU>;
}
export { LanguageDefineMU, LanguageDefineCU };
